<div class="container">
    <div class="modal-body">
        <p-dataTable [value]="registerDetail" [editable]="false" [rows]="itemsPerPage" [paginator]="true"
            [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
            [lazy]="true" dataKey="idregisdetail" (onLazyLoad)="loadDataLazy($event)" [(selection)]="selected" (onRowSelect)="onRowSelect($event)" (onRowUnselect)="onRowUnselect($event)">
            <p-header>
            </p-header>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor PP" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopurchaseorder}}
                </ng-template>
            </p-column>

            <p-column header="Tanggal Buat" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtorder | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Nama Input" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Divisi" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.divition}}
                </ng-template>
            </p-column>
            <p-column header="PIC" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Status" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    Unregister
                </ng-template>
            </p-column>
            <p-column header="Catatn Unregister" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.notes}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Unregister" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtunreg | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Aksi" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="button" icon="fa-print" class="flat-button"
                        (click)="print(rowData.idpurchaseorder,rowData.nopurchaseorder)" pTooltip="Print PP"
                        *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                    </button>
                    <div *ngIf="rowData.contenttype !== null">
                        <button pButton type="submit"
                                icon="fa-eye"
                                class="flat-button"
                                pTooltip="Lihat Lampiran"
                                (click)="openPDF(rowData.idpurchaseorder)">
                        </button>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    </p-tabView>
</div>